package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.FileMapper;
import com.sa.ibiz.demo.demo.domain.File;
import com.sa.ibiz.demo.demo.service.FileService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.FileSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[File] 服务对象接口实现
 */
@Service
public class FileServiceImpl extends ServiceImplBase<FileMapper, File> implements FileService{


    @Resource
    private FileMapper fileMapper;


    @Override
    public boolean create(File et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(File et){
        this.beforeUpdate(et);
		this.fileMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(File et){
		return et.getFileid();  
    }

    @Override
    public boolean getDraft(File et)  {
            return true;
    }

	public List<File> listDefault(FileSearchFilter filter) {
		return fileMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<File> searchDefault(FileSearchFilter filter) {
		return fileMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return fileMapper.selectRow(sql);
    }

 }